Skip to main content
GET
Get background job status

Authorizations

x-api-key
string
header
required

Unified API key for server-side SDK and API integrations

Path Parameters

workflowId
string
required
Minimum string length: 1

Response

Default Response

workflowId
string
required
workflowType
string
required
status
enum<string>
required
Available options:
UNSPECIFIED,
RUNNING,
COMPLETED,
FAILED,
CANCELLED,
TERMINATED,
CONTINUED_AS_NEW,
TIMED_OUT,
PAUSED,
UNKNOWN
startTime
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
closeTime
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
organizationId
string
entityType
string
entityId
string
profileId
string
operationId
string
category
string
result
any | null

Any JSON value.